## org.codehaus.groovy.grails.commons
Class GrailsApplicationFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsApplicationFactoryBean

All Implemented Interfaces:
  FactoryBean, InitializingBean

    public class GrailsApplicationFactoryBean

extends Object
implements FactoryBean, InitializingBean

Factory bean that creates a Grails application object based on Groovy files.

Since:
  0.1 Created - Jul 2, 2005
Author:
  Steven Devijver, Graeme Rocher

Constructor Summary
`GrailsApplicationFactoryBean()`

Method Summary
`void` `afterPropertiesSet()`
`GrailsInjectionOperation` `getInjectionOperation()`
`Object` `getObject()`
`Class` `getObjectType()`
`boolean` `isSingleton()`
`void` `setGrailsDescriptor(Resource r)`
`void` `setGrailsResourceLoader(GrailsResourceLoader resourceLoader)`
`void` `setInjectionOperation(GrailsInjectionOperation injectionOperation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsApplicationFactoryBean

    public GrailsApplicationFactoryBean()

Method Detail

### getInjectionOperation

    public GrailsInjectionOperation getInjectionOperation()

### setInjectionOperation

    public void setInjectionOperation(GrailsInjectionOperation injectionOperation)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### setGrailsResourceLoader

    public void setGrailsResourceLoader(GrailsResourceLoader resourceLoader)

### setGrailsDescriptor

    public void setGrailsDescriptor(Resource r)

Copyright (c) 2005-2009 The Grails project